gloss-1.9.3.1: Painless 2D vector graphics, animations and simulations.

Safe Haskell | None
Language | Haskell98

Graphics.Gloss.Interface.Pure.Display

Description

Display mode is for drawing a static picture.

Synopsis

- module Graphics.Gloss.Data.Display
- module Graphics.Gloss.Data.Picture
- module Graphics.Gloss.Data.Color
- display :: Display -> Color -> Picture -> IO ()

# Documentation

module Graphics.Gloss.Data.Display

module Graphics.Gloss.Data.Picture

module Graphics.Gloss.Data.Color

display Source

Arguments

:: Display | Display mode.
-> Color | Background color.
-> Picture | The picture to draw.
-> IO () |

Open a new window and display the given picture.

Use the following commands once the window is open:

- Quit - esc-key.
- Move Viewport - left-click drag, arrow keys.
- Rotate Viewport - right-click drag, control-left-click drag, or home/end-keys.
- Zoom Viewport - mouse wheel, or page up/down-keys.